<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
htmlϊ
-->
<xsl:include href="replace.xsl"/>
<xsl:key name="cast-key" match="cast" use="cast_id"/> 
<xsl:template match="/index"> 
<!-- 萔` -->
<xsl:variable name="GRAPH_MAX_LENGTH" select="300"/>
<html>
<head>
<title> <xsl:value-of select="script/title" /> </title>
<link rel="stylesheet" type="text/css" href="index.css" />
</head>
<body>
<div align="center"> <a name="top"></a> 
  <h1><xsl:value-of select="script/title" /></h1>
  <table class="memo">
    <tr> 
      <td>
        <xsl:call-template name="replace">
          <xsl:with-param name="str" select="script/memo" /> 
        </xsl:call-template>
      </td>
    </tr>
  </table>
  <br/>
  <hr/>
  <a name="cast"></a> <span class="list">- LXgꗗ -</span> 
  <table class="list">
    <tr>
      <th>A</th>
      <th>LXg</th>
      <th></th>
      <th>Zt</th>
      <th>Ot</th>
    </tr>
    <xsl:for-each select="script/cast"> 
    <xsl:sort select="name" data-type="text" order="ascending" />
    <xsl:variable name="tmp_cast" select="cast_id"/> 
    <xsl:variable name="my_cast_count" select="count(../serif/cast_id[. = $tmp_cast])"/> 
    <!-- ZtOt  -->
    <xsl:variable name="cast_count" select="count(../serif/cast_id)"/>
    <xsl:variable name="rate" select="ceiling($my_cast_count * 1000 div $cast_count) div 10"/> 
    <xsl:variable name="serif_count_width" select="ceiling($GRAPH_MAX_LENGTH * $rate div 100)"/> 
    <!-- ZtOt ܂ -->
    <tr>
      <td align="center"> <xsl:number value="position()" format="1" /></td>
      <td nowrap="nowrap"><xsl:value-of select="name" /></td>
      <td><xsl:value-of select="memo" /></td>
      <td align="right"><xsl:value-of select="$my_cast_count" /></td>
      <td nowrap="nowrap">
        <!-- Zt1ȏȂOt\ -->
        <xsl:if test="$serif_count_width &gt; 0">
          <xsl:element name="img"><xsl:attribute name="src">graph_blue.gif</xsl:attribute> 
          <xsl:attribute name="height">10</xsl:attribute>
          <xsl:attribute name="width"><xsl:value-of select="$serif_count_width"/></xsl:attribute> 
          </xsl:element> (<xsl:value-of select="$rate"/>%)
        </xsl:if>
      </td>
    </tr>
    </xsl:for-each> 
    <tr>
      <td colspan="3" align="right">ZtF</td>
      <td align="right"><xsl:value-of select="count(script/serif/cast_id)" /></td>
      <td></td>
    </tr>
  </table>
  <br/>
  <hr/>
  <a name="serif"></a> <span class="list">- Ztꗗ -</span> 
  <table class="list">
    <tr> 
      <th>A</th>
      <th>LXg</th>
      <th>Zt</th>
      <th></th>
    </tr>
    <xsl:for-each select="script/serif"> 
    <tr> 
      <td align="center"> <xsl:number value="position()" format="1" /></td>
      <xsl:for-each select="key('cast-key', cast_id)"> 
      <td nowrap="nowrap"><xsl:value-of select="name" /></td>
      </xsl:for-each> 
      <td><xsl:value-of select="serif" /></td>
      <td><xsl:value-of select="memo" /></td>
    </tr>
    </xsl:for-each> 
  </table>
  <br/>
  <a href="#top">[ TOP ]</a> </div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
